package sample;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;
import org.springframework.web.context.WebApplicationContext;

import ru.xpoft.vaadin.DiscoveryNavigator;
import sample.ui.MainView;

import com.vaadin.navigator.Navigator;
import com.vaadin.server.Page;
import com.vaadin.server.WrappedRequest;
import com.vaadin.ui.UI;

@Component @Scope("request")
public class MainApplication extends UI {
	private static final long serialVersionUID = 8176653965892286502L;

	@Autowired
	private WebApplicationContext applicationContext;

	@Override
	protected void init(WrappedRequest request) {
		Navigator.SimpleViewDisplay display = new Navigator.SimpleViewDisplay();
		setContent(display);

		DiscoveryNavigator navigator = new DiscoveryNavigator(applicationContext, Page.getCurrent(), display);
		navigator.navigateTo(MainView.NAME);
	}

}
